using MongoDB.Bson.Serialization.Attributes;

namespace LocationsApi.Models;

public class LocationObject
{
    [BsonElement("id")]
    public string ObjectId { get; set; } = Guid.NewGuid().ToString("N");

    [BsonElement("objectType")]
    public string ObjectType { get; set; } = "gatherable";

    [BsonElement("objectKey")]
    public string ObjectKey { get; set; } = string.Empty;

    [BsonElement("name")]
    public string Name { get; set; } = string.Empty;

    [BsonElement("state")]
    public LocationObjectState State { get; set; } = new();
}
